libzypp 17.37.10

zypp::solver::detail::CheckIfUpdate Class Reference

## Public Member Functions
| CheckIfUpdate (const sat::Solvable &installed_r)
bool | operator() (const PoolItem &item)

## Public Attributes
bool | is_updated
sat::Solvable | _installed

## Detailed Description

Definition at line 682 of file SATResolver.cc.

## Constructor & Destructor Documentation

## ◆ CheckIfUpdate()

zypp::solver::detail::CheckIfUpdate::CheckIfUpdate | ( | const sat::Solvable & | installed_r | ) |
| inline

Definition at line 688 of file SATResolver.cc.

## Member Function Documentation

## ◆ operator()()

bool zypp::solver::detail::CheckIfUpdate::operator() | ( | const PoolItem & | item | ) |
| inline

Definition at line 695 of file SATResolver.cc.

## Member Data Documentation

## ◆ is_updated

bool zypp::solver::detail::CheckIfUpdate::is_updated

Definition at line 685 of file SATResolver.cc.

## ◆ _installed

sat::Solvable zypp::solver::detail::CheckIfUpdate::_installed

Definition at line 686 of file SATResolver.cc.

The documentation for this class was generated from the following file:

- zypp/solver/detail/SATResolver.cc